.menu-trigger-box {
	position: fixed;
	z-index: 9999;
	top: 4.7rem;
	right: 4.7rem;
	box-sizing: border-box;
	z-index: 9990;
	cursor: pointer;
	width: 5rem;
	height: 1.5rem;
}
.menu-trigger-box:before {
	content: "MENU";
	position: absolute;
	bottom: -2.8rem;
	left: 50%;
	transform: translateX(-50%);
	font-size: 1.4rem;
	letter-spacing: 0.06em;
}
.menu-trigger-box.active:before {
	content: "CLOSE";
}
.menu-trigger,
.menu-trigger span {
  display: inline-block;
  transition: all .4s;
  box-sizing: border-box;
}
.menu-trigger {
	width: 100%;
	height: 100%;
	position: relative;
}
.menu-trigger span {
	position: absolute;
	height: 3px;
	background-color: #fff;
	border-radius: 4px;
	transition: .4s;
}
.menu-trigger span:nth-of-type(1) {
	width: 100%;
	top: 0;
	left: 0;
}
.menu-trigger span:nth-of-type(2) {
	width: 100%;
	bottom: 0;
	left: 0;
}
.menu-trigger-box.active span:nth-of-type(1) {
	-webkit-transform: translateY(.8rem) rotate(-30deg);
	transform: translateY(.8rem) rotate(-30deg);
}
.menu-trigger-box.active span:nth-of-type(2) {
	-webkit-transform: translateY(-.8rem) rotate(30deg);
	transform: translateY(-0.4rem) rotate(30deg);
}

.hamburger {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	z-index: 999;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 0;
	z-index: -99;
	transition: .5s;
	background-image: url(../img/hamburger-bg.jpg);
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	pointer-events: none;
	clip-path: inset(0 100% 0 0);
}
.hamburger:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #D1161A;
	clip-path: inset(0 0 0 0%);
	transition: .3s;
	transition-delay: .5s;
}
.hamburger.active {
	pointer-events: auto;
	opacity: 1;
	z-index: 5000;
	clip-path: inset(0 0% 0 0);
}
.hamburger.active:before {
	clip-path: inset(0 0 0 100%);
}
.hamburger_logo {
	position: absolute;
	top: 4.7rem;
	left: 10rem;
	width: 22.6rem;
}
.hamburger_sns {
	position: absolute;
	bottom: 4.7rem;
	left: 10rem;
	display: flex;
	gap: 4rem;
}
.hamburger_sns_item {
	width: 2.4rem;
	height: 2.4rem;
}
.hamburger_sns_item_icon {
	width: 100%;
	height: 100%;
	background-color: #fff;
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-position: center;
	-webkit-mask-size: contain;
	mask-repeat: no-repeat;
	mask-position: center;
	mask-size: contain;
	transition: .3s;
}
.hamburger_sns_item:hover .hamburger_sns_item_icon {
	background-color: #D1161A;
}

.hamburger_list_item + .hamburger_list_item {
	margin-top: 2.5rem;
}
.hamburger_list_item_link {
	font-family: 'Kocho';
	font-weight: 900;
	font-size: 2.3rem;
	letter-spacing: 0.2em;
	color: #fff;
	padding-bottom: 1rem;
	position: relative;
}
.hamburger_list_item_link:before {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 2px;
	background-color: #fff;
	transform: scaleX(0);
	transition: transform 0.3s ease;
	transform-origin: right;
}
.hamburger_list_item_link:hover:before {
	transform: scaleX(1);
	transform-origin: left;
}
@media (max-width: 767px) {
	.menu-trigger-box {
		top: 1.8rem;
		width: 4.4rem;
		right: 1.4rem;
		height: 1.2rem;
	}
	.menu-trigger-box:before {
		bottom: -2.6rem;
		font-size: 1.2rem;
	}
	.menu-trigger span {
		height: .2rem;
	}
	.menu-trigger-box.active span:nth-of-type(1) {
		-webkit-transform: translateY(.5rem) rotate(-30deg);
		transform: translateY(.5rem) rotate(-30deg);
	}
	.menu-trigger-box.active span:nth-of-type(2) {
		-webkit-transform: translateY(-.5rem) rotate(30deg);
		transform: translateY(-.5rem) rotate(30deg);
	}
	.hamburger_logo {
		width: 17.5rem;
		left: 4rem;
	}
	.hamburger {
		padding-left: 4rem;
		justify-content: flex-start;
		background-position: 94% 50%;
	}
	.hamburger_sns {
		left: 4rem;
	}
	.hamburger_list_item_link {
		font-size: 1.9rem;
	}
}